// POVRay scene file for BIRT icon
// Copyright Vrai Stacey, 2008
//
// Image used in icon is rendered with:
//     povray +Ibirt_icon.pov +Q9 +A +W1024 +H1024 -D
//
// $Id: birt_icon.pov 1430 2008-10-12 15:14:16Z vrai $

global_settings
{
   assumed_gamma 1.5
   noise_generator 2
}

background
{
    color rgb<1, 1, 1>
}

cone
{
   <0, 3.35, 0>, 0,
   <0, -0.7, 0>, 3.2
   
   pigment
   {
      color rgb <1, 0, 0>
   }
   
   finish
   {
      phong 0.5
      phong_size 25
      specular 1
   }

   scale 1
   rotate <0, 0, 0>
   translate <0, 0, 0>
}

light_source
{
   <4, 5, -5>, rgb <1, 1, 1>
}

camera
{
   perspective
   location <5, 1.1, -4>
   sky <0, 1, 0>
   direction <0, 0, 1>
   right <1.3333, 0, 0>
   up <0, 1, 0>
   look_at <0, 0.6, 0>
}
