// Copyright Vrai Stacey, 2008
// $Id: directorylineedit.h 1391 2008-09-14 11:58:36Z vrai $

#ifndef INC_DIRECTORYLINEEDIT_H
#define INC_DIRECTORYLINEEDIT_H

#include <QLineEdit>

class QDir;

class DirectoryLineEdit : public QLineEdit
{
    Q_OBJECT

    public:
        DirectoryLineEdit ( QWidget * parent = 0 );

    public slots:
        void browseClicked ( );
        void setText ( const QString & text );

    signals:
        void directoryChanged ( const QDir & directory );

    protected:
        void keyPressEvent ( QKeyEvent * event );
};

#endif

