// Copyright Vrai Stacey, 2008
// $Id: errorsdialog.h 1434 2008-10-19 12:14:20Z vrai $

#ifndef INC_ERRORSDIALOG_H
#define INC_ERRORSDIALOG_H

#include <QDialog>
#include <QHash>
#include "ui_errors.h"

class ErrorsDialog : public QDialog
{
    Q_OBJECT

    public:
        ErrorsDialog ( QWidget * parent = 0 );

    public slots:
        void setErrors ( const QHash<QString, QString> & errors );

    private:
        Ui::ErrorsDialog m_ui;
};

#endif

