// Copyright Vrai Stacey, 2008
// $Id: integerlineedit.h 1426 2008-10-06 19:44:41Z vrai $

#ifndef INC_INTEGERLINEEDIT_H
#define INC_INTEGERLINEEDIT_H

#include <QLineEdit>

class IntegerLineEdit : public QLineEdit
{
    Q_OBJECT

    public:
        IntegerLineEdit ( QWidget * parent = 0 );

    public slots:
        void setInt ( int value );

    protected:
        void keyPressEvent ( QKeyEvent * event );
};

#endif

