// Copyright Vrai Stacey, 2008
// $Id: main.cpp 1460 2008-11-10 20:37:42Z vrai $

#include <QApplication>
#include <QCoreApplication>
#include "birtdialog.h"

extern int qInitResources_birt ( );

int main ( int argc, char * argv [ ] )
{
    QApplication application ( argc, argv );

    QCoreApplication::setOrganizationName ( "vrai.net" );
    QCoreApplication::setOrganizationDomain ( "vrai.net" );
    QCoreApplication::setApplicationName ( "Bulk Image Resizing Thingy" );

    // Make sure the shared builds can find the image plugins
    application.addLibraryPath ( application.applicationDirPath ( ) );

    BirtDialog dialog;
    dialog.restore ( );
    dialog.show ( );

    const int result ( application.exec ( ) );
    
    dialog.store ( );
    return result;
}

