// Copyright Vrai Stacey, 2008
// $Id: percentslider.h 1382 2008-09-06 16:34:27Z vrai $

#ifndef INC_PERCENTSLIDER_H
#define INC_PERCENTSLIDER_H

#include <QObject>
#include <QSlider>

class PercentSlider : public QSlider
{
    Q_OBJECT

    public:
        PercentSlider ( Qt::Orientation orientation, QWidget * parent = 0 );
        PercentSlider ( QWidget * parent = 0 );

    signals:
        void valueUpdated ( int value );

    protected:
        void sliderChange ( SliderChange change );
};

#endif

