// Copyright Vrai Stacey, 2008
// $Id: ratiostrategyimpl.h 1425 2008-10-05 17:24:36Z vrai $

#ifndef INC_RATIOSTRATEGYIMPL_H
#define INC_RATIOSTRATEGYIMPL_H

#include "ratiostrategy.h"

struct IgnoreSourceRatioStrategy : public RatioStrategy
{
    QSize operator() ( const QSize & source, const QSize & desired ) const;
};

struct MatchWidthStrategy : public RatioStrategy
{
    QSize operator() ( const QSize & source, const QSize & desired ) const;
};

struct MatchHeightStrategy : public RatioStrategy
{
    QSize operator() ( const QSize & source, const QSize & desired ) const;
};

struct PreserveOrientationStrategy : public RatioStrategy
{
    QSize operator() ( const QSize & source, const QSize & desired ) const;
};

#endif

