// Copyright Vrai Stacey, 2008
// $Id: searchingdialog.h 1418 2008-10-04 21:03:21Z vrai $

#ifndef INC_SEARCHINGDIALOG_H
#define INC_SEARCHINGDIALOG_H

#include <QDialog>
#include "ui_searching.h"

class SearchingDialog : public QDialog
{
    Q_OBJECT

    public:
        SearchingDialog ( QWidget * parent = 0 );

    public slots:
        void show ( );
        void reject ( );
        void countUpdated ( unsigned long filesVisited, unsigned long filesMatched );
        void directoryUpdated ( QString directory );

    private:
        Ui::SearchingDialog m_ui;
};

#endif

