// Copyright Vrai Stacey, 2008
// $Id: filelistmodelbutton.cpp 1384 2008-09-07 18:28:18Z vrai $

#include "filelistmodelbutton.h"
        
FileListModelButton::FileListModelButton ( QWidget * parent )
    : QPushButton ( parent )
    , m_fileCount ( 0 )
{
}

void FileListModelButton::fileCountChanged ( int count )
{
    if ( count != m_fileCount )
    {
        m_fileCount = count;
        setEnabled ( m_fileCount > 0 );
    }
}

