// Copyright Vrai Stacey, 2008
// $Id: filelistmodelbutton.h 1384 2008-09-07 18:28:18Z vrai $

#include <QPushButton>

#ifndef INC_FILELISTMODELBUTTON_H
#define INC_FILELISTMODELBUTTON_H

class FileListModelButton : public QPushButton
{
    Q_OBJECT

    public:
        FileListModelButton ( QWidget * parent = 0 );

    public slots:
        void fileCountChanged ( int count );

    protected:
        int m_fileCount;
};

#endif

