// Copyright Vrai Stacey, 2008
// $Id: filelistview.h 1386 2008-09-07 19:11:26Z vrai $

#ifndef INC_FILELISTVIEW_H
#define INC_FILELISTVIEW_H

#include <QListView>

class FileListView : public QListView
{
    Q_OBJECT

    public:
        FileListView ( QWidget * parent = 0 );

        void getSelectedRows ( QVector<int> & rows ) const;

    public slots:
        void selectionChanged ( const QItemSelection & selected, const QItemSelection & deselected );

    signals:
        void changedSelection ( int selected );
};

#endif

