// Copyright Vrai Stacey, 2008
// $Id: formatcombobox.h 1465 2008-11-16 21:19:39Z vrai $

#ifndef INC_FORMATCOMBOBOX_H
#define INC_FORMATCOMBOBOX_H

#include <QComboBox>

class FormatComboBox : public  QComboBox
{
    Q_OBJECT

    public:
        FormatComboBox ( QWidget * parent = 0 );

    public slots:
        void setImageFormat ( );
        void setImageFormat ( const QString & format );

    protected slots:
        void indexChanged ( int index );

    protected:
        void setImageFormat ( const QVariant & format );

    signals:
        void changedFormat ( );
        void changedFormat ( const QString & format );
};

#endif

