// Copyright Vrai Stacey, 2008
// $Id: percentlabel.cpp 1382 2008-09-06 16:34:27Z vrai $

#include "percentlabel.h"

PercentLabel::PercentLabel ( QWidget * parent, Qt::WindowFlags flags )
    : QLabel ( parent, flags )
{
}

void PercentLabel::setNum ( int percentage )
{
    setText ( QString ( "%1%" ).arg ( std::min ( std::max ( percentage, 0 ), 100 ) ).rightJustified ( 4 ) );
}

