// Copyright Vrai Stacey, 2008
// $Id: percentslider.cpp 1382 2008-09-06 16:34:27Z vrai $

#include "percentslider.h"

PercentSlider::PercentSlider ( Qt::Orientation orientation, QWidget * parent )
    : QSlider ( orientation, parent )
{
}

PercentSlider::PercentSlider ( QWidget * parent )
    : QSlider ( parent )
{
}

void PercentSlider::sliderChange ( SliderChange change )
{
    if ( change == QAbstractSlider::SliderValueChange )
        emit valueUpdated ( value ( ) );

    QSlider::sliderChange ( change );
}


