// Copyright Vrai Stacey, 2008
// $Id: progressdialog.h 1422 2008-10-05 14:23:52Z vrai $

#ifndef INC_PROGRESSDIALOG_H
#define INC_PROGRESSDIALOG_H

#include <QDialog>
#include "ui_progress.h"

class ProgressDialog : public QDialog
{
    Q_OBJECT

    public:
        ProgressDialog ( QWidget * parent = 0 );

    public slots:
        void show ( );
        void reject ( );
        void countUpdated ( int count, int total );

    private:
        Ui::ProgressDialog m_ui;
};

#endif

