// Copyright Vrai Stacey, 2008
// $Id: ratiocombobox.h 1426 2008-10-06 19:44:41Z vrai $

#ifndef INC_RATIOCOMBOBOX_H
#define INC_RATIOCOMBOBOX_H

#include "ratiostrategy.h"
#include <QComboBox>

class RatioComboBox : public QComboBox
{
    Q_OBJECT

    public:
        RatioComboBox ( QWidget * parent = 0 );

    public slots:
        void setRatioStrategy ( RatioStrategy::Strategy strategy );

    protected slots:
        void indexChanged ( int index );

    signals:
        void changedRatio ( RatioStrategy::Strategy strategy );
};

#endif

