// Copyright Vrai Stacey, 2008
// $Id: scalingcombobox.h 1426 2008-10-06 19:44:41Z vrai $

#ifndef INC_SCALINGCOMBOBOX_H
#define INC_SCALINGCOMBOBOX_H

#include <QComboBox>

class ScalingComboBox : public QComboBox
{
    Q_OBJECT

    public:
        ScalingComboBox ( QWidget * parent = 0 );

    public slots:
        void setScalingMode ( Qt::TransformationMode mode );

    protected slots:
        void indexChanged ( int index );

    signals:
        void changedScaling ( Qt::TransformationMode strategy );
};

#endif

