// Copyright Vrai Stacey, 2008
// $Id: selectionbutton.h 1384 2008-09-07 18:28:18Z vrai $

#ifndef INC_SELECTIONBUTTON_H
#define INC_SELECTIONBUTTON_H

#include <QPushButton>

class SelectionButton : public QPushButton
{
    Q_OBJECT

    public:
        SelectionButton ( QWidget * parent = 0 );

    public slots:
        void changedSelection ( int selected );
        void fileCountChanged ( int count );
    
    protected:
        int m_selectionCount;
};

#endif

